parse_url
rawurlencode
URL Functions
PHP Manual

# rawurldecode

(PHP 4, PHP 5)

rawurldecode — Decode URL-encoded strings

### Description

string rawurldecode ( string `$str` )

Returns a string in which the sequences with percent (%) signs followed by two hex digits have been replaced with literal characters.

### Parameters

`str`

  The URL to be decoded.

### Return Values

Returns the decoded URL, as a string.

### Examples

Example #1 rawurldecode() example

`<?php
echo rawurldecode('foo%20bar%40baz'); // foo bar@baz
?>`

### Notes

> Note:

> rawurldecode() does not decode plus symbols ('+') into spaces. urldecode() does.

### See Also

- rawurlencode() - URL-encode according to RFC 3986
- urldecode() - Decodes URL-encoded string
- urlencode() - URL-encodes string
- » RFC 3986

parse_url
rawurlencode
URL Functions
PHP Manual